VERSION 5.00
Begin VB.Form EigenschaftenFilm 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Eigenschaften"
   ClientHeight    =   2715
   ClientLeft      =   1650
   ClientTop       =   1545
   ClientWidth     =   4155
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2715
   ScaleWidth      =   4155
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.TextBox Text1 
      Alignment       =   2  'Zentriert
      Height          =   285
      Left            =   1080
      TabIndex        =   5
      Text            =   "01:30"
      Top             =   840
      Width           =   1455
   End
   Begin VB.TextBox Text2 
      Alignment       =   1  'Rechts
      Height          =   285
      Left            =   1080
      TabIndex        =   4
      Top             =   1200
      Width           =   3015
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      Left            =   1080
      Style           =   2  'Dropdown-Liste
      TabIndex        =   3
      Top             =   1560
      Width           =   3015
   End
   Begin VB.TextBox Text3 
      Alignment       =   1  'Rechts
      Height          =   285
      Left            =   1080
      TabIndex        =   2
      Top             =   1920
      Width           =   3015
   End
   Begin VB.CommandButton Command1 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   2280
      Width           =   1935
   End
   Begin VB.CommandButton Command2 
      Cancel          =   -1  'True
      Caption         =   "Abbrechen"
      Height          =   375
      Left            =   2160
      TabIndex        =   0
      Top             =   2280
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   "Kassette:"
      Height          =   255
      Left            =   120
      TabIndex        =   14
      Top             =   120
      Width           =   975
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Zentriert
      BorderStyle     =   1  'Fest Einfach
      Height          =   255
      Left            =   1080
      TabIndex        =   13
      Top             =   120
      Width           =   3015
   End
   Begin VB.Label Label3 
      Caption         =   "Startzeit:"
      Height          =   255
      Left            =   120
      TabIndex        =   12
      Top             =   480
      Width           =   975
   End
   Begin VB.Label Label4 
      Alignment       =   2  'Zentriert
      BorderStyle     =   1  'Fest Einfach
      Height          =   255
      Left            =   1080
      TabIndex        =   11
      Top             =   480
      Width           =   3015
   End
   Begin VB.Label Label5 
      Caption         =   "Lnge:"
      Height          =   255
      Left            =   120
      TabIndex        =   10
      Top             =   840
      Width           =   975
   End
   Begin VB.Label Label6 
      Alignment       =   2  'Zentriert
      BorderStyle     =   1  'Fest Einfach
      Caption         =   "01:30"
      Height          =   255
      Left            =   2640
      TabIndex        =   9
      Top             =   840
      Width           =   1455
   End
   Begin VB.Label Label7 
      Caption         =   "Name:"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   1200
      Width           =   975
   End
   Begin VB.Label Label8 
      Caption         =   "Sender:"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   1560
      Width           =   975
   End
   Begin VB.Label Label9 
      Caption         =   "Infos:"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   1920
      Width           =   975
   End
End
Attribute VB_Name = "EigenschaftenFilm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()
 Dim Fehler As Boolean
 With KassettenFilm(AktKassette, AktFilm)
  .FilmName = LTrim$(RTrim$(Text2.Text))
  .Infos = LTrim$(RTrim$(Text3.Text))
  .Lnge = StringToZeitformat(Text1.Text, Fehler, 2, False)
  .SenderName = Combo1.Text
 End With
 Command2_Click
End Sub

Private Sub Command2_Click()
 Unload EigenschaftenFilm
End Sub

Sub CheckEingabe()
 Dim Fehler As Boolean
 Dim Zeit As Zeitformat
 Zeit = StringToZeitformat(Text1.Text, Fehler, 2, False)
 If Fehler Then
  Label6.Caption = "Fehler"
  Command1.Enabled = False
  Exit Sub
 Else
  Label6.Caption = ZeitformatToString(Zeit)
 End If
 If LTrim$(RTrim$(Text2.Text)) = "" Then
  Command1.Enabled = False
 Else
  Command1.Enabled = True
 End If
End Sub

Private Sub Form_Load()
 Combo1.Clear
 Dim X As Integer
 Dim SN As Integer
 SN = 0
 For X = 1 To AnzSender
  Combo1.AddItem Sender(X)
  If Sender(X) = KassettenFilm(AktKassette, AktFilm).SenderName Then
   If Not SN = 0 Then
    MsgBox "Schwerer Programmfehler.", , "Fehler"
    End
   End If
   SN = X
  End If
 Next
 If SN = 0 Then
  MsgBox "Schwerer Programmfehler.", , "Fehler"
  End
 End If
 Combo1.ListIndex = SN - 1
 Label2.Caption = KassettenEigenschaften(AktKassette).KassettenName
 Dim Zeit As Zeitformat
 Zeit = KassettenEigenschaften(AktKassette).Start
 For X = 1 To AktFilm - 1
  Zeit = AddiereZeit(KassettenFilm(AktKassette, X).Lnge, Zeit)
 Next
 Label4.Caption = ZeitformatToString(Zeit)
 With KassettenFilm(AktKassette, AktFilm)
  Text2.Text = .FilmName
  Text3.Text = .Infos
  Text1.Text = ZeitformatToString(.Lnge)
  Label6.Caption = Text1.Text
 End With
End Sub

Private Sub Text1_Change()
 CheckEingabe
End Sub

Private Sub Text2_Change()
 CheckEingabe
End Sub

Private Sub Text3_Change()
 CheckEingabe
End Sub

